// Image.cpp: implementation of the CImage class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "ImageMixer.h"
#include "Image.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CImage::CImage(CString strFile)
{
	m_pImage = ::new Image(strFile);

	//Calculate the new image size
	if(m_pImage)
	{
		RectF rect;
		Unit ut;
		m_pImage->GetBounds(&rect,&ut);
		m_nWidth  = (int)rect.Width;
		m_nHeight = (int)rect.Height;
	}
}

CImage::~CImage()
{
	delete m_pImage;
}

void CImage::Draw(Graphics &g)
{
	if(m_pImage)
	{
		//Calculate Alpha blend based on Transparency
		float fBlend = (100-m_nTransparency)/100.0;

		ColorMatrix BitmapMatrix =	{     
									  1.0f, 0.0f, 0.0f, 0.0f, 0.0f,
									  0.0f, 1.0f, 0.0f, 0.0f, 0.0f,
									  0.0f, 0.0f, 1.0f, 0.0f, 0.0f,
									  0.0f, 0.0f, 0.0f, fBlend, 0.0f,
									  0.0f, 0.0f, 0.0f, 0.0f, 1.0f
									};
		ImageAttributes ImgAttr;
		ImgAttr.SetColorMatrix(&BitmapMatrix, 
								ColorMatrixFlagsDefault, 
								ColorAdjustTypeBitmap);

		RectF destination(m_nX,m_nY,m_nWidth,m_nHeight);

		g.DrawImage(m_pImage,destination, 0,0,m_nWidth,m_nHeight,UnitPixel,&ImgAttr);
		
	}

	CShape::Draw(g);
}
