// Shape.cpp: implementation of the CShape class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "ImageMixer.h"
#include "Shape.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CShape::CShape():m_nX(0),m_nY(0),m_nWidth(0),m_nHeight(0),m_bSelected(false),
                 m_nTransparency(0)
{
}

CShape::~CShape()
{
}	

bool CShape::HitTest(CPoint &point)
{
	bool bRet = false;

	CRect rect(m_nX,m_nY,m_nX+m_nWidth,m_nY+m_nHeight);
	if(rect.PtInRect(point))
	{
		bRet = true;
	}

	return bRet;

}

void CShape::Select(bool bSelect)
{
	m_bSelected = bSelect;
}


void CShape::Draw(Graphics &g)
{
	int nAlpha = 0;
	if(m_bSelected)
	{
		nAlpha = 255;
	}
	Pen p(Color(nAlpha,0, 255, 0), 1);
	g.DrawRectangle(&p,m_nX+1,m_nY+1,m_nWidth-2,m_nHeight-2);
}

CRect CShape::GetBounds()
{
	return CRect(m_nX,m_nY,m_nX+m_nWidth,m_nY+m_nHeight);
}

bool CShape::IsSelected()
{
	return m_bSelected;
}

int CShape::GetTransparency()
{
	return m_nTransparency;
}

void CShape::SetTransparency(int nValue)
{
	m_nTransparency = nValue;
}
